Bug 1050802 (CVE-2014-1398, CVE-2014-1399, CVE-2014-1400)

Summary: CVE-2014-1398 CVE-2014-1399 CVE-2014-1400 drupal7-entity: multiple access bypass vulnerabilities
Product: [Other] Security Response Reporter: Ratul Gupta <ratulg>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: peter, ratulg, sdodson, security-response-team, shawn
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20140108,reported=20140109,source=internet,cvss2=4.3/AV:N/AC:M/Au:N/C:P/I:N/A:N,fedora-all/drupal7-entity=affected,epel-all/drupal7-entity=affected
Fixed In Version: drupal7-entity-1.3 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-11-24 16:00:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1050803, 1050804    
Bug Blocks:    

Description Ratul Gupta 2014-01-09 06:14:05 UTC
The entity module for Drupal was recently reported to be affected by multiple access bypass vulnerabilites, which could be exploited by an attacker to gain unauthorized access to the data.

1) Comment, User and Node Statistics property access bypass

The module's entity wrapper access API doesn't sufficiently protect comment, user and node statistics properties from unprivileged user access.
This vulnerability is mitigated by the fact that a module must be enabled that relies on the Entity property access API and it must be configured to expose either comment, user or node statistics properties. One example would be the RESTful Web Services module (RESTWS) with the permission configured to access the comment, user or node resource for untrusted web service consumers.

2) Entity list property access bypass

The module's entity wrapper access API doesn't sufficiently check entity access on referenced entities such as taxonomy terms.
This vulnerability is mitigated by the fact that a module must be enabled that uses the access() method of entity metadata wrappers to determine access to a property which references multiple entities to which access is not granted. One example would be the RESTful Web Services module (RESTWS) with respectively configured permissions on an entity property or (entity reference) field, for example a list of (unaccessible) referenced user entities on a node entity.

3) Unpublished comments access bypass

The module's entity_access() API doesn't protect unpublished comments from being viewed by unprivileged users.
This vulnerability is mitigated by the fact a module must be enabled which uses the provided entity access API on comments and the comment module must be enabled.

The issues are said to be fixed in drupal7-entity-1.3.

References:
https://drupal.org/node/2169595
http://packetstormsecurity.com/files/124728/DRUPAL-SA-CONTRIB-2014-001.txt

Comment 1 Ratul Gupta 2014-01-09 06:15:00 UTC
Created drupal7-entity tracking bugs for this issue:

Affects: fedora-all [bug 1050803]
Affects: epel-all [bug 1050804]

Comment 2 Ratul Gupta 2014-01-09 08:39:33 UTC
CVE Request:
http://seclists.org/oss-sec/2014/q1/55

Comment 3 Fedora Update System 2014-01-19 04:05:21 UTC
drupal7-entity-1.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2014-01-19 04:06:47 UTC
drupal7-entity-1.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-01-27 09:23:53 UTC
drupal7-entity-1.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-01-27 09:24:33 UTC
drupal7-entity-1.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Peter Borsa 2014-03-09 10:03:58 UTC
All entity packages are in stable repositories. Can we close this issue?

Comment 9 Shawn Iwinski 2014-11-22 16:30:35 UTC
All entity packages are in stable repositories. Can we close this bug?